#!/bin/sh
# list of processes in alphabetical order, no duplicates
# ps -A | awk '{print $4}' | sort -u

OS=`uname`
case $OS in
  AIX)    PLIST='ps -Ao comm';;
  Linux)  PLIST='ps h -eo ucmd';;
  Darwin) PLIST='ps -Aco command';;
  FreeBSD)PLIST='ps -axco command';;
  NetBSD) PLIST='ps -axco command';;
  OpenBSD)PLIST='ps -axco command';;
  SunOS)  PLIST='ps -eo fname';;
  QNX)	  PLIST='ps -eo comm';; 
  HP-UX)  ps -e|awk ' NR!=1 { print $4; }'|sort -u
          exit;;
  *)      echo 'Unsupported OS'
          exit;;
esac
$PLIST|sort -u
